Package org.astrogrid.samp.xmlrpc.apache

# Class ApacheClientFactory

java.lang.Object
org.astrogrid.samp.xmlrpc.apache.ApacheClientFactory

All Implemented Interfaces:
  `SampXmlRpcClientFactory`

public class ApacheClientFactory extends Object implements SampXmlRpcClientFactory
SampXmlRpcClientFactory implementation based on Apache XMLRPC classes.

Since:
  16 Sep 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ApacheClientFactory()`

## Method Summary

Modifier and Type
Method
Description
`SampXmlRpcClient`
`createClient(URL endpoint)`
Returns an XML-RPC client implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApacheClientFactory

public ApacheClientFactory()

## Method Details

### createClient

public SampXmlRpcClient createClient(URL endpoint) throws IOException
Description copied from interface: `SampXmlRpcClientFactory`
Returns an XML-RPC client implementation.

Specified by:
  `createClient` in interface `SampXmlRpcClientFactory`
Parameters:
  `endpoint` - XML-RPC server endpoint
Returns:
  client which can communicate with the given endpoint
Throws:
  `IOException`